body {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
    background-color: #f0f0f0;
}

h1 {
    color: #669900;
    text-shadow: 3px 5px 4px rgba(0, 0, 0, 0.2);
}

#output {
    margin: 20px;
    padding: 10px;
    border: 2px dashed #005BCC;
    background-color: #fff;
    font-weight: bold;
    font-size: 1.3em;
    color: #336699;
    border-radius: 10px;
    min-width: 200px;
    text-align: center;
    max-width: 100%;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
}
#copyButton {
    position: relative;
    padding: 10px 20px;
    font-size: 16px;
    color: #6f7081;
    background-color: #fff;
    border: 2px solid #669900;
    border-radius: 5px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    transition: all 0.3s ease;
}

button {
    cursor: pointer;
    font-family: "Roboto", sans-serif;
    background-color: #404663;
    color: #fff;
    border: 0;
    font-size: 2rem;
    font-weight: 400;
    padding: 0.5em 1.25em;
    border-radius: 0.5em;
    display: flex;
    gap: 0.5em;
    box-shadow: 0px 1.7px 2.2px #00000005, 0px 4px 5.3px #00000007,
        0px 7.5px 10px #00000009, 0px 13.4px 17.9px #0000000b,
        0px 25.1px 33.4px #0000000d, 0px 60px 80px #00000012;
    transition: transform 0.3s;
}

button:active {
    transform: scale(1.05);
}


#copyButton:hover {
    color: #fff;
    background-color: #669900;
    transform: scale(1.1);
    box-shadow: 0 0 10px #222, 0 0 20px rgba(20, 120, 30, 1.0);
}

#copyButton i {
    font-size: 1.2em;
}

#copyButton:active {
    transform: scale(1);
}
.ngay {
    color: #669933;
    font-size: 20px;
}

.trhh {
    text-align: center;
    margin: 40px auto;
    padding: 20px;
    background: rgba(255, 255, 255, 0.9);
    border-radius: 15px;
    box-shadow: 0 4px 25px #336699;
    display: inline-block;
    width: 78%;
    height: 80px auto;
    max-width: 400px;
}

#bottomLink {
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    text-decoration: none;
    color: #007bff;
    font-size: 1em;
    background-color: #f9f9f9;
    padding: 10px 20px;
    border-radius: 5px 5px 0 0;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
}

#bottomLink:hover {
    background-color: #fff;
    color: #fff;
}

.thankYouMessage {
    font-size: 18px;
}